<Project Sdk="Microsoft.NET.Sdk">
	<PropertyGroup>
		<OutputType>WinExe</OutputType>
		<TargetFrameworks>net8.0;net7.0</TargetFrameworks>
		<TieredCompilationQuickJit>false</TieredCompilationQuickJit>
		<JsonSerializerIsReflectionEnabledByDefault>true</JsonSerializerIsReflectionEnabledByDefault>
		<Nullable>enable</Nullable>
		<TrimMode>partial</TrimMode>
		<BuiltInComInteropSupport>true</BuiltInComInteropSupport>
		<DebugType>embedded</DebugType>
		<StartupObject>VeloeMinecraftLauncher.Program</StartupObject>
		<PlatformTarget>x64</PlatformTarget>
		<AssemblyVersion>1.6.0.176</AssemblyVersion>
		<FileVersion>1.6.0.176</FileVersion>
		<Configurations>Debug;Release</Configurations>
		<Copyright>MIT</Copyright>
		<RepositoryType>git</RepositoryType>
		<RepositoryUrl>https://gogs.veloe.link/Veloe/VeloeMinecraftLauncher.git</RepositoryUrl>
		<PackageProjectUrl>https://gogs.veloe.link/Veloe/VeloeMinecraftLauncher/wiki</PackageProjectUrl>
	</PropertyGroup>
	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
		<NoWarn>NU1605</NoWarn>
		<Optimize>True</Optimize>
	</PropertyGroup>
	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
		<NoWarn>NU1605</NoWarn>
		<ShouldCreateLogs>True</ShouldCreateLogs>
		<AdvancedSettingsExpanded>False</AdvancedSettingsExpanded>
		<UpdateAssemblyVersion>True</UpdateAssemblyVersion>
		<UpdateAssemblyFileVersion>True</UpdateAssemblyFileVersion>
		<UpdateAssemblyInfoVersion>False</UpdateAssemblyInfoVersion>
		<AssemblyFileVersionSettings>None.None.None.None</AssemblyFileVersionSettings>
		<UpdatePackageVersion>False</UpdatePackageVersion>
		<AssemblyInfoVersionType>SettingsVersion</AssemblyInfoVersionType>
		<InheritWinAppVersionFrom>None</InheritWinAppVersionFrom>
		<AssemblyVersionSettings>None.None.None.None</AssemblyVersionSettings>
	</PropertyGroup>
	<ItemGroup>
		<AvaloniaResource Include="Assets\**" />
		<None Remove=".gitignore" />
	</ItemGroup>
	<ItemGroup>
		<!--This helps with theme dll-s trimming.
	If you will publish your application in self-contained mode with p:PublishTrimmed=true and it will use Fluent theme Default theme will be trimmed from the output and vice versa.
	https://github.com/AvaloniaUI/Avalonia/issues/5593 -->
		<TrimmableAssembly Include="Avalonia.Themes.Fluent" />
		<TrimmableAssembly Include="Avalonia.Themes.Default" />
	</ItemGroup>
	<ItemGroup>
		<PackageReference Include="Avalonia" Version="11.2.8" />
		<PackageReference Include="Avalonia.Desktop" Version="11.2.8" />
		<!--Condition below is needed to remove Avalonia.Diagnostics package from build output in Release configuration.-->
		<PackageReference Condition="'$(Configuration)' == 'Debug'" Include="Avalonia.Diagnostics" Version="11.2.8" />
		<PackageReference Include="Avalonia.Fonts.Inter" Version="11.2.8" />
		<PackageReference Include="Avalonia.ReactiveUI" Version="11.2.8" />
		<PackageReference Include="Avalonia.Themes.Fluent" Version="11.2.8" />
		<PackageReference Include="Microsoft.AspNet.WebApi.Client" Version="6.0.0" />
		<PackageReference Include="Microsoft.AspNetCore.SignalR.Client" Version="9.0.4" />
		<PackageReference Include="ReactiveUI.Validation" Version="4.1.1" />
		<PackageReference Include="Serilog" Version="4.2.0" />
		<PackageReference Include="Serilog.Sinks.File" Version="6.0.0" />
		<PackageReference Include="SerilogTraceListener" Version="3.2.0" />
	</ItemGroup>
	<ItemGroup>
		<Compile Update="Views\MessageWindow.axaml.cs">
			<DependentUpon>MessageWindow.axaml</DependentUpon>
		</Compile>
	</ItemGroup>
</Project>